Package org.drinkless.tdlib

# Class TdApi.DeepLinkInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.DeepLinkInfo

Enclosing class:
  `TdApi`

public static class TdApi.DeepLinkInfo extends TdApi.Object
Contains information about a tg: deep link.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `needUpdateApplication`
  True, if the user must be asked to update the application.
  `TdApi.FormattedText`
  `text`
  Text to be shown to the user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeepLinkInfo()`
  Contains information about a tg: deep link.
  `DeepLinkInfo(TdApi.FormattedText text, boolean needUpdateApplication)`
  Contains information about a tg: deep link.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public TdApi.FormattedText text
    Text to be shown to the user.

  - ### needUpdateApplication

    public boolean needUpdateApplication
    True, if the user must be asked to update the application.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DeepLinkInfo

    public DeepLinkInfo()
    Contains information about a tg: deep link.

  - ### DeepLinkInfo

    public DeepLinkInfo(TdApi.FormattedText text, boolean needUpdateApplication)
    Contains information about a tg: deep link.
    Parameters:
      `text` - Text to be shown to the user.
      `needUpdateApplication` - True, if the user must be asked to update the application.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR